package me.blackphreak;

import java.util.List;

public class ImmutableList<T> {
	private List list;
	
	public ImmutableList(List<T> list)
	{
		this.list = List.copyOf(list);
	}
	
	public int size() {
		return this.list.size();
	}
	
	public Object[] toArray() {
		return this.list.toArray();
	}
	
	public int lastIndexOf(Object o) {
		return this.list.lastIndexOf(o);
	}
	
	public int indexOf(Object o) {
		return this.list.indexOf(o);
	}
	
	public boolean contains(Object o) {
		return this.list.contains(o);
	}
	
	public T get(int index) {
		return (T) this.list.get(index);
	}
}
